=== debian/changelog ===
rmlint (2.4.6-2) unstable; urgency=medium

  * Fix missing dependencies in rmlint-gui package. (Closes: #855255)
  * Rename debian/docs to debian/rmlint.docs for consistency's sake.
  * Fix FTBFS for hurd-i386.
  * Exclude compiled schema from being packaged with rmlint-gui.
  * Fix formatting of unordered list in man page.
  * Fix HTML generated by privacy-breach-workaround.patch.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 17 Feb 2017 13:35:29 +1100

rmlint (2.4.6-1) unstable; urgency=medium

  * Initial upload to Debian. Thanks to Axel Beckert for getting
    it all started, and to Roger Shimizu for suggested improvements.
    (Closes: #845155)

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 14 Feb 2017 23:11:30 +1100
