## rmlint 2.6.1

=== SConstruct ===
--- 
+++ 
@@ -7,7 +7,9 @@
 import subprocess
 import platform
 
+import SCons
 import SCons.Conftest as tests
+from SCons.Script.SConscript import SConsEnvironment
 
 pkg_config = os.getenv('PKG_CONFIG') or 'pkg-config'
 
@@ -82,6 +84,17 @@
     conf.env['gitrev'] = rev
     context.Result(rev)
     return rev
+
+
+def check_sysmacro_h(context):
+    rc = 1
+    if rc and tests.CheckHeader(context, 'sys/sysmacros.h'):
+        rc = 0
+
+    conf.env['HAVE_SYSMACROS_H'] = rc
+    context.did_show_result = True
+    context.Result(rc)
+    return rc
 
 
 def check_libelf(context):
@@ -457,15 +470,3 @@
     )
 
 AddOption(
-    '--with-sse', action='store_const', default=False, const=False, dest='with_sse'
-)
-
-AddOption(
-    '--without-sse', action='store_const', default=False, const=False, dest='with_sse'
-)
-
-# General Environment
-options = dict(
-    CXXCOMSTR=compile_source_message,
-    CCCOMSTR=compile_source_message,
-    SHCCCOMSTR=compile_shared_source_message,
