=== debian/changelog ===
rmlint (2.6.1-1) unstable; urgency=medium

  * New upstream version [2.6.1].
  * Rebase patch queue and drop changes already applied upstream.
  * Indicate compliance with latest standards version [4.0.0].
  * Make 'parameterized' module available to 'nose' tests.
  * Simplify (and hopefully make adaptable to future changes in host
    names and version numbers) the sed rules for patching HTML docs.
  * Fix man page typos.
  * Avoid calling dpkg-parsechangelog directly from debian/rules.
  * Fix new privacy breach issues by disabling the asciinema demo
    and the use of web fonts.
  * Add package test to prevent privacy breach issues in HTML docs.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 31 Jul 2017 09:44:43 +1000
