=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                libjson-glib-dev,
                pkg-config (>= 0.15),
                python3,
-               python3-nose,
+               python3-nose-parameterized,
                python3-sphinx,
                python3-sphinx-bootstrap-theme (>= 0.4.3),
                scons
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://rmlint.readthedocs.io/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/rmlint.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rmlint.git
+Testsuite: autopkgtest
 
 Package: rmlint
 Architecture: any
