## rmlint 2.8.0

=== SConstruct ===
--- 
+++ 
@@ -11,7 +11,7 @@
 import SCons.Conftest as tests
 from SCons.Script.SConscript import SConsEnvironment
 
-pkg_config = os.getenv('PKG_CONFIG') or 'pkg-config'
+pkg_config = os.getenv('PKG_CONFIG', 'pkg-config')
 
 def read_version():
     with open('.version', 'r') as handle:
@@ -33,6 +33,28 @@
 ###########################################################################
 #                                Utilities                                #
 ###########################################################################
+
+def check_gcc_version(context):
+    context.Message('Checking for GCC version... ')
+
+    try:
+        v = subprocess.check_output("printf '%s\n' __GNUC__ | gcc -E -P -", shell=True)
+        try:
+            v = int(v)
+            context.Result(str(v))
+        except ValueError:
+            print('Expected a number, but got: ' + v)
+            v = 0
+    except subprocess.CalledProcessError:
+        print('Unable to find GCC version.')
+        v = 0
+    except AttributeError:
+        print('Not allowed.')
+        v = 0
+
+    conf.env['__GNUC__'] = v
+    return v
+
 
 def check_pkgconfig(context, version):
     context.Message('Checking for pkg-config... ')
@@ -325,6 +347,15 @@
     context.Result(rc)
     return rc
 
+def check_linux_fs_h(context):
+    rc = 1
+    if tests.CheckHeader(context, 'linux/fs.h'):
+        rc = 0
+
+    conf.env['HAVE_LINUX_FS_H'] = rc
+    context.did_show_result = True
+    context.Result(rc)
+    return rc
 
 def check_linux_limits(context):
     rc = 1
@@ -349,6 +380,30 @@
         context.Message("platform.uname() failed")
 
     conf.env['IS_CYGWIN'] = rc
+    context.Result(rc)
+    return rc
+
+def check_mm_crc32_u64(context):
+
+    rc = 0 if tests.CheckDeclaration(
+            context,
+            symbol='_mm_crc32_u64',
+            includes='#include <nmmintrin.h>\n'
+            ) else 1
+
+    conf.env['HAVE_MM_CRC32_U64'] = rc
+    context.did_show_result = True
+    context.Result(rc)
+    return rc
+
+def check_builtin_cpu_supports(context):
+    rc = 0 if tests.CheckDeclaration(
+            context,
+            symbol='__builtin_cpu_supports'
+            ) else 1
+
+    conf.env['HAVE_BUILTIN_CPU_SUPPORTS'] = rc
+    context.did_show_result = True
     context.Result(rc)
     return rc
 
@@ -415,7 +470,7 @@
 
 # If the output is not a terminal, remove the COLORS
 if not sys.stdout.isatty():
-    for key, value in COLORS.iteritems():
+    for key, value in COLORS.items():
         COLORS[key] = ''
 
 # Configure the actual colors to our liking:
@@ -431,42 +486,3 @@
 link_library_message = '%sLinking Static Library %s==> %s$TARGET%s' % \
     (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
 
-ranlib_library_message = '%sRanlib Library %s==> %s$TARGET%s' % \
-    (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
-
-link_shared_library_message = '%sLinking Shared Library %s==> %s$TARGET%s' % \
-    (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
-
-###########################################################################
-#                            Option Parsing                               #
-###########################################################################
-
-AddOption(
-    '--prefix', default='/usr/local',
-    dest='prefix', type='string', nargs=1,
-    action='store', metavar='DIR', help='installation prefix'
-)
-
-AddOption(
-    '--actual-prefix', default=None,
-    dest='actual_prefix', type='string', nargs=1,
-    action='store', metavar='DIR', help='where files will eventually land'
-)
-
-AddOption(
-    '--libdir', default='lib',
-    dest='libdir', type='string', nargs=1,
-    action='store', metavar='DIR', help='libdir name (lib or lib64)'
-)
-
-for suffix in ['libelf', 'gettext', 'fiemap', 'blkid', 'json-glib', 'gui']:
-    AddOption(
-        '--without-' + suffix, action='store_const', default=False, const=False,
-        dest='with_' + suffix
-    )
-    AddOption(
-        '--with-' + suffix, action='store_const', default=True, const=True,
-        dest='with_' + suffix
-    )
-
-AddOption(
