=== debian/changelog ===
rmlint (2.8.0-3) unstable; urgency=medium

  * Re-enable SSE4.2 optimisations without causing SIGILL faults.
  * Fix changelog details in debian/upstream/metadata.
  * Update debian/gbp.conf to conform with DEP14 conventions.
  * Suppress maintainer-script-supports-ancient-package-version
    lintian warnings.
  * Update sed rule to substitute local copy of MathJax script.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 28 Jan 2019 11:31:11 +1100

rmlint (2.8.0-2) unstable; urgency=medium

  * Fix debian/tests/privacy-breach test to account for change
    in document location.
  * Allow debhelper to handle stripping of binaries.
  * Build with Debhelper compat level 12.
  * Remove unnecessary build dependencies for nocheck build profile.
  * Fix builds for hurd, kfreebsd and sparc64 by relaxing build dependency
    on python3-psutil for those architectures. It currently doesn't support
    those architectures and is only required for running tests anyway.
  * Fix nosetests search.
  * Fix program termination by SIGILL signal, by removing sse4 instructions.
  * Update debian/clean list.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 10 Jan 2019 12:15:02 +1100

rmlint (2.8.0-1) unstable; urgency=medium

  * New upstream release [2.8.0].
  * debian/patches/*:
    - Rebase patches.
    - Drop manpage-typos.patch already applied upstream.
    - Add doco-typos.patch to fix typos in documentation.
    - Drop parameterized-workaround.patch, which is no longer
      necessary.
  * Add dependency on packaged version of Vollkorn desktop font,
    so that its use in HTML docs may be restored.  Thanks to
    Adam Borowski for suggestion.
  * Add debian/gbp.conf.
  * debian/control:
    - Update Vcs-* to salsa.debian.org.
    - Remove unnecessary Testsuite field.
    - Set "Rules-Requires-Root: no".
    - Indicate compliance with Debian Policy 4.3.0.
    - Update build dependencies.
  * Update lintian override to debian-watch-does-not-check-gpg-signature.
  * Add machine-readable upstream metadata.
  * debian/rules:
    - Simplify LFS build rules.
  * Update debian/copyright.
  * Build with Debhelper compat level 11.
  * Link instances of jquery to packaged version.
  * Add maintainer scripts for upgrading to and downgrading from
    this version of rmlint-doc, since it has some symlink changes.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 31 Dec 2018 23:52:54 +1100
