=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Carlos Maddela <e7appew@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                dh-python,
                libblkid-dev,
                libelf-dev,
@@ -10,15 +10,17 @@
                libjson-glib-dev,
                pkg-config (>= 0.15),
                python3,
-               python3-nose-parameterized,
+               python3-nose (>= 1.3.7) <!nocheck>,
+               python3-parameterized (>= 0.6.1) <!nocheck>,
+               python3-psutil (>= 5.2.2) [!hurd-any !kfreebsd-any !sparc64] <!nocheck>,
                python3-sphinx,
                python3-sphinx-bootstrap-theme (>= 0.4.3),
                scons
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: https://rmlint.readthedocs.io/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/rmlint.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rmlint.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/debian/rmlint.git
+Vcs-Browser: https://salsa.debian.org/debian/rmlint
+Rules-Requires-Root: no
 
 Package: rmlint
 Architecture: any
@@ -88,11 +90,14 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-bootstrap,
+Depends: fonts-vollkorn,
+         libjs-bootstrap,
          libjs-bootswatch,
+         libjs-jquery,
          libjs-mathjax,
          ${misc:Depends},
          ${sphinxdoc:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
 Built-Using: ${sphinxdoc:Built-Using}
 Description: HTML documentation for rmlint
  rmlint finds space waste and other broken things on your filesystem
