=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,13 @@
 
 export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
 
 # The following workaround is necessary for hardening, since
 # the project's SConstruct file doesn't make use of CPPFLAGS.
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS) \
-	$(if $(filter $(DEB_HOST_ARCH_BITS),32),-D_FILE_OFFSET_BITS=64)
+export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS)
 
 # Ensure that we use the python3 version of sphinx.
 export PATH := /usr/share/sphinx/scripts/python3:$(PATH)
@@ -24,7 +23,8 @@
 	--prefix=$(DEB_BUILD_ROOT)/usr --actual-prefix=/usr --without-gui \
 	$(if $(NUM_JOBS),-j$(NUM_JOBS)) \
 	$(if $(filter $(DH_VERBOSE),1),VERBOSE=1) \
-	$(if $(findstring debug,$(DBO)),DEBUG=1)
+	$(if $(findstring debug,$(DBO)),DEBUG=1) \
+	SYMBOLS=1
 
 # Fudge build date using SOURCE_DATE_EPOCH for build reproducibility.
 include /usr/share/dpkg/pkg-info.mk
@@ -60,10 +60,13 @@
 
 override_dh_auto_build-indep:
 	scons $(COMMON_SCONS_OPTS) docs
-	rm -rf docs/_build/html/_static/bootstrap-?.?.? docs/_build/html/_static/bootswatch-?.?.?
+	bash -O extglob \
+		-c "rm -rf docs/_build/html/_static/{bootstrap,bootswatch}-+([[:digit:]]).+([[:digit:]]).+([[:digit:]]) \
+		docs/_build/html/_static/js/jquery-+([[:digit:]]).+([[:digit:]]).+([[:digit:]]).min.js"
 	sed -i \
-		-e 's@http[s]\?://.\+/mathjax/[^/]\+/[Mm]ath[Jj]ax.js@file:///usr/share/javascript/mathjax/MathJax.js@g' \
-		-e 's@\(bootstrap\|bootswatch\)-[[:digit:]]\(\.[[:digit:]]\)\{2\}@\1@g' \
+		-e 's@http[s]\?://.\+/mathjax/[^/]\+/\([Mm]ath[Jj]ax\|latest\)\.js@file:///usr/share/javascript/mathjax/MathJax.js@g' \
+		-e 's@\(_static/\(bootstrap\|bootswatch\)\)-[[:digit:]]\+\(\.[[:digit:]]\+\)\{2\}@\1@g' \
+		-e 's@\(_static/js/jquery\)-[[:digit:]]\+\(\.[[:digit:]]\+\)\{2\}\(\.min\.js\)@\1\3@g' \
 		docs/_build/html/*.html
 
 override_dh_auto_install-indep:
@@ -79,7 +82,7 @@
 	dh_installdocs --remaining-packages
 
 override_dh_sphinxdoc:
-	dh_sphinxdoc -prmlint-doc -Xbootstrap -Xbootswatch -Xjquery-
+	dh_sphinxdoc -prmlint-doc -Xbootstrap -Xbootswatch -Xjquery.min.js
 	dh_sphinxdoc --remaining-packages
 
 override_dh_auto_test:
