## rmlint 2.9.0

=== SConstruct ===
--- 
+++ 
@@ -287,7 +287,7 @@
 def check_xattr(context):
     rc = 1
 
-    for func in ['getxattr', 'setxattr', 'removexattr']:
+    for func in ['getxattr', 'setxattr', 'removexattr', 'listxattr']:
         if tests.CheckFunc(
             context, func,
             header=
@@ -298,6 +298,27 @@
             break
 
     conf.env['HAVE_XATTR'] = rc
+
+    context.did_show_result = True
+    context.Result(rc)
+    return rc
+
+
+
+def check_lxattr(context):
+    rc = 1
+
+    for func in ['lgetxattr', 'lsetxattr', 'lremovexattr', 'llistxattr']:
+        if tests.CheckFunc(
+            context, func,
+            header=
+                '#include <sys/types.h>'
+                '#include <sys/xattr.h>'
+        ):
+            rc = 0
+            break
+
+    conf.env['HAVE_LXATTR'] = rc
 
     context.did_show_result = True
     context.Result(rc)
@@ -477,12 +498,3 @@
 compile_source_message = '%sCompiling %s==> %s$SOURCE%s' % \
     (COLORS['blue'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
 
-compile_shared_source_message = '%sCompiling shared %s==> %s$SOURCE%s' % \
-    (COLORS['blue'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
-
-link_program_message = '%sLinking Program %s==> %s$TARGET%s' % \
-    (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
-
-link_library_message = '%sLinking Static Library %s==> %s$TARGET%s' % \
-    (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
-
