=== debian/changelog ===
rmlint (2.9.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix data loss caused by faulty check in generated scripts (Closes: #977410)
    - Use upstream patch

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 15 Apr 2021 23:03:37 +0200

rmlint (2.9.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS for cannot remove directory. (Closes: #975205)
    - Mention explicitly the file and directory to be cleaned.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 01 Dec 2020 20:37:43 +0000

rmlint (2.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957764)
    - Use upstream patch, thanks to Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Aug 2020 20:43:54 +0100

rmlint (2.9.0-2) unstable; urgency=medium

  * Replace glib-2_62.patch with upstream implementation, which
    provides a fallback and hopefully will allow an ia64 build.

 -- Carlos Maddela <e7appew@gmail.com>  Wed, 01 Jan 2020 09:27:25 +1100

rmlint (2.9.0-1) unstable; urgency=medium

  * New upstream release [2.9.0]. (Closes: #928521)
  * Fix incorrect use of findstring function in debian/rules.
  * debian/patches/*:
    - Rebase drops patches already applied upstream: doco-typos.patch,
      fix-nosetests-search.patch and fix-pre-sse4.2.patch.
    - Update reproducible-build.patch to be Python version-agnostic
      so that package may be built with scons 3.1.2-1. (Closes: #947580)
    - Add xattr-fixes.patch cherry-picked from upstream
      which may resolve possible build failures in kfreebsd.
    - Add python3.8.patch to fix syntax warnings and missing metadata
      generated in egg-info.
    - Add glib-2_62.patch to remove deprecated API calls.
  * Drop use of debian/compat file.
  * Drop debian/rmlint-doc.lintian-overrides.
  * Update debian/clean.
  * Indicate compliance with Debian Policy 4.4.1 (no changes required).
  * Fix missing rmlint-gui dependency on python3-gi-cairo
    so that graphics are correctly displayed.
    Thanks to Andres for report. (Closes: #947615)

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 31 Dec 2019 13:22:33 +1100
