=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	--prefix=$(DEB_BUILD_ROOT)/usr --actual-prefix=/usr --without-gui \
 	$(if $(NUM_JOBS),-j$(NUM_JOBS)) \
 	$(if $(filter $(DH_VERBOSE),1),VERBOSE=1) \
-	$(if $(findstring debug,$(DBO)),DEBUG=1) \
+	$(if $(filter debug,$(DBO)),DEBUG=1) \
 	SYMBOLS=1
 
 # Fudge build date using SOURCE_DATE_EPOCH for build reproducibility.
@@ -86,7 +86,7 @@
 	dh_sphinxdoc --remaining-packages
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,$(DBO)))
+ifeq (,$(filter nocheck,$(DBO)))
 	# Ignore result of the test suite for now
 	-scons $(COMMON_SCONS_OPTS) test
 else
