## rmlint 2.10.2

=== SConstruct ===
--- 
+++ 
@@ -74,12 +74,12 @@
     except AttributeError:
         pass
 
-    if rc is not 0:
+    if rc != 0:
         context.Message('Checking for %s... ' % name)
         rc, text = context.TryAction('%s --exists \'%s\'' % (pkg_config, name))
 
     # 0 is defined as error by TryAction
-    if rc is 0 and required:
+    if rc == 0 and required:
         print('Error: ' + name + ' not found.')
         Exit(1)
 
@@ -102,6 +102,9 @@
         # See https://github.com/sahib/rmlint/issues/143#issuecomment-139929733
         print('Not allowed.')
 
+    if hasattr(rev, 'decode'):
+       rev = rev.decode('ascii')
+
     rev = rev or 'unknown'
     conf.env['gitrev'] = rev
     context.Result(rev)
@@ -172,7 +175,7 @@
 def check_fiemap(context):
     rc = 1
 
-    if GetOption('with_gettext') is False:
+    if GetOption('with_fiemap') is False:
         rc = 0
 
     if rc and tests.CheckType(context, 'struct fiemap', header='#include <linux/fiemap.h>\n'):
@@ -218,7 +221,7 @@
     if GetOption('with_blkid') is False:
         rc = 0
 
-    if rc is 1 and tests.CheckDeclaration(
+    if rc == 1 and tests.CheckDeclaration(
         context,
         symbol='blkid_devno_to_wholedisk',
         includes='#include <blkid.h>\n'
@@ -255,29 +258,6 @@
         rc = 0
 
     conf.env['HAVE_POSIX_FADVISE'] = rc
-
-    context.did_show_result = True
-    context.Result(rc)
-    return rc
-
-
-def check_faccessat(context):
-    # Seems to be missing in Mac OSX <= 10.9
-    rc = 1
-
-    if tests.CheckDeclaration(
-        context, 'faccessat',
-        includes='#include <unistd.h>'
-    ):
-        rc = 0
-
-    if rc == 1 and tests.CheckDeclaration(
-        context, 'AT_FDCWD',
-        includes='#include <fcntl.h>'
-    ):
-        rc = 0
-
-    conf.env['HAVE_FACCESSAT'] = rc
 
     context.did_show_result = True
     context.Result(rc)
@@ -498,3 +478,10 @@
 compile_source_message = '%sCompiling %s==> %s$SOURCE%s' % \
     (COLORS['blue'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
 
+compile_shared_source_message = '%sCompiling shared %s==> %s$SOURCE%s' % \
+    (COLORS['blue'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
+
+link_program_message = '%sLinking Program %s==> %s$TARGET%s' % \
+    (COLORS['red'], COLORS['purple'], COLORS['yellow'], COLORS['end'])
+
+link_library_message = '%sLinking Static Library %s==> %s$TARGET%s' % \
