=== debian/changelog ===
rmlint (2.10.2-0ubuntu1) oracular; urgency=medium

  * New upstream release (LP: #2039957)
  * d/rules: exclude jquery-fix.js from dh_sphinxdoc -prmlint-doc call
  * Drop patches applied upstream and refresh remaining patches
  * Build-depend on python3-xattr for new unit tests
  * Replace obsolete pkg-config by pkgconf
  * scons: add missing newline for included headers and check *xattr functions
    with correct arguments (Closes: #1065947, LP: #2066970)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 May 2024 11:20:05 +0200

rmlint (2.9.0-2.5) unstable; urgency=high

  * Non-maintainer upload.
  * Add upstream fix for GUI startup failure with recent python3.11.
    (Closes: #1040940)

 -- Adrian Bunk <bunk@debian.org>  Sat, 05 Aug 2023 17:16:05 +0300

rmlint (2.9.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix error in other packages caused by invalid python package version
    number (cherry-picking upstream patch; closes: #1040179)

 -- Julian Gilbey <jdg@debian.org>  Wed, 05 Jul 2023 09:31:46 +0100
