=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: rmlint
 Section: utils
 Priority: optional
-Maintainer: Carlos Maddela <e7appew@gmail.com>
-Build-Depends: debhelper (>= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Carlos Maddela <e7appew@gmail.com>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libblkid-dev,
                libelf-dev,
                libglib2.0-dev (>= 2.32),
                libjson-glib-dev,
-               pkg-config (>= 0.15),
+               pkgconf,
                python3,
                python3-nose (>= 1.3.7) <!nocheck>,
                python3-parameterized (>= 0.6.1) <!nocheck>,
                python3-psutil (>= 5.2.2) [!hurd-any !kfreebsd-any !sparc64] <!nocheck>,
                python3-sphinx,
                python3-sphinx-bootstrap-theme (>= 0.4.3),
-               scons
-Standards-Version: 4.3.0
+               python3-xattr,
+               scons (>= 4.5.2+dfsg-1ubuntu1~)
+Standards-Version: 4.4.1
 Homepage: https://rmlint.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/debian/rmlint.git
 Vcs-Browser: https://salsa.debian.org/debian/rmlint
@@ -57,8 +59,7 @@
 Depends: gir1.2-gtksource-3.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
-         python3-cairo,
-         python3-gi,
+         python3-gi-cairo,
          rmlint:any (>= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
