=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	dh_installdocs --remaining-packages
 
 override_dh_sphinxdoc:
-	dh_sphinxdoc -prmlint-doc -Xbootstrap -Xbootswatch -Xjquery.min.js
+	dh_sphinxdoc -prmlint-doc -Xbootstrap -Xbootswatch -Xjquery.min.js -Xjquery-fix.js
 	dh_sphinxdoc --remaining-packages
 
 override_dh_auto_test:
